{
  "name": "gisaf-app",
  "displayName": "Gisaf",
  "version": "0.1.0",
  "license": "GPL-3.0",
  "description": "Gisaf Geomatics",
  "repository": {
    "type": "git",
    "url": "https://git.bluelightav.org:2222/gisaf.git"
  },
  "author": "Philippe May",
  "angular-cli": {},
  "scripts": {
    "ng": "ng",
    "start": "node --max_old_space_size=4096 ./node_modules/@angular/cli/bin/ng serve --proxy-config proxy.conf.json --watch",
    "build": "node --max_old_space_size=4096 ./node_modules/@angular/cli/bin/ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "generate-client": "openapi --input http://127.0.0.1:5000/openapi.json --output ./src/app/openapi --client angular --useOptions --useUnionTypes"
  },
  "licenses": [
    {
      "type": "MIT",
      "url": "https://github.com/angular/angular.io/blob/master/LICENSE"
    }
  ],
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.2.3",
    "@angular/cdk": "^16.2.14",
    "@angular/common": "^17.2.3",
    "@angular/compiler": "^17.2.3",
    "@angular/core": "^17.2.3",
    "@angular/forms": "^17.2.3",
    "@angular/material": "^16.2.14",
    "@angular/platform-browser": "^17.2.3",
    "@angular/platform-browser-dynamic": "^17.2.3",
    "@angular/platform-server": "^17.2.3",
    "@angular/router": "^17.2.3",
    "@mapbox/point-geometry": "^0.1.0",
    "@maplibre/ngx-maplibre-gl": "^13.0.0",
    "@turf/bbox": "^6.5.0",
    "@turf/distance": "^6.5.0",
    "angular-plotly.js": "^5.2.2",
    "core-js": "^2.6.3",
    "maplibre-gl": "^2.4.0",
    "ngx-flexible-layout": "~16.0",
    "plotly.js-basic-dist-min": "2.29.1",
    "rxjs": "^7.4.0",
    "subscriptions-transport-ws": "^0.9.17",
    "ts-helpers": "^1.1.2",
    "zone.js": "~0.14.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.2.1",
    "@angular/cli": "^17.2.1",
    "@angular/compiler-cli": "^17.2.3",
    "@angular/language-service": "^17.2.3",
    "@types/core-js": "^2.5.0",
    "@types/geojson": "^7946.0.7",
    "@types/jasmine": "~3.6.0",
    "@types/jasminewd2": "^2.0.2",
    "@types/node": "^12.11.1",
    "@types/plotly.js-dist-min": "^2.3.0",
    "clean-css": "^4.2.1",
    "codelyzer": "^6.0.0",
    "fontnik": "^0.7.1",
    "jasmine-core": "~3.6.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~6.3.2",
    "karma-chrome-launcher": "~3.1.0",
    "karma-cli": "^2.0.0",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~4.0.0",
    "openapi-typescript-codegen": "^0.27.0",
    "protractor": "~7.0.0",
    "source-map-explorer": "^2.2.2",
    "ts-node": "^8.0.2",
    "tslib": "^2.0.0",
    "tslint": "~6.1.0",
    "typescript": "~5.3.3"
  }
}